Bug 291091 - Review Request: abyssinica-fonts - SIL Abyssinica fonts
Review Request: abyssinica-fonts - SIL Abyssinica fonts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-14 11:47 EDT by Bernie Innocenti
Modified: 2013-03-13 00:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-27 19:08:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
johnp: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bernie Innocenti 2007-09-14 11:47:10 EDT
Spec URL: http://www.codewiz.org/pub/olpc-bernie/specs/abyssinica-fonts.spec
SRPM URL: http://www.codewiz.org/pub/olpc-bernie/source/abyssinica-fonts-1.0-1.fc7.src.rpm
Description:

SIL Abyssinica is a Unicode typeface family containing glyphs for the
Ethiopic script.
Comment 1 John (J5) Palmieri 2007-09-14 12:07:49 EDT
rpmlint output

W: abyssinica-fonts invalid-license SIL Open Font License

SIL OFL is however an approved license according to
http://fedoraproject.org/wiki/Licensing and this is most likely caused by an
outdated rpmlint.
Comment 2 John (J5) Palmieri 2007-09-14 12:25:09 EDT
     - MUST: rpmlint must be run on every package. The output should be posted
in the review.

W: abyssinica-fonts invalid-license SIL Open Font License

wave this as above

      - MUST: The package must be named according to the Package Naming Guidelines.
Ok
      - MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption on Package Naming
Guidelines.
Ok
      - MUST: The package must meet the Packaging Guidelines.

Ok

      - MUST: The package must be licensed with an open-source compatible
license and meet other legal requirements as defined in the legal section of
Packaging Guidelines.

Ok (OFL) 

      - MUST: The License field in the package spec file must match the actual
license.
Ok

      - MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

ok

      - MUST: The spec file must be written in American English.
Ok
      - MUST: The spec file for the package MUST be legible. If the reviewer is
unable to read the spec file, it will be impossible to perform a review. Fedora
is not the place for entries into the Obfuscated Code Contest
(http://www.ioccc.org/).
Ok
      - MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

Issue, upstream only provides a .zip file.  We will need to convert to .tar.gz

      - MUST: The package must successfully compile and build into binary rpms
on at least one supported architecture.
Ok - noarch

      - MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next to
the corresponding ExcludeArch line. New packages will not have bugzilla entries
during the review process, so they should put this description in the comment
until the package is approved, then file the bugzilla entry, and replace the
long explanation with the bug number. (Extras Only) The bug should be marked as
blocking one (or more) of the following bugs to simplify tracking such issues:
FE-ExcludeArch-x86, FE-ExcludeArch-x64, FE-ExcludeArch-ppc, FE-ExcludeArch-ppc64

Ok

      - MUST: All build dependencies must be listed in BuildRequires, except for
any that are listed in the exceptions section of Packaging Guidelines; inclusion
of those as BuildRequires is optional. Apply common sense.

Ok

      - MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
Ok (no translations)

      - MUST: Every binary RPM package which stores shared library files (not
just symlinks) in any of the dynamic linker's default paths, must call ldconfig
in %post and %postun. If the package has multiple subpackages with libraries,
each subpackage should also have a %post/%postun section that calls
/sbin/ldconfig. An example of the correct syntax for this is: 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

Ok (No %{_libdir} libraries)

      - MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
Ok (package not relocatable)

      - MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. The exception to this are directories listed explicitly
in the Filesystem Hierarchy Standard
(http://www.pathname.com/fhs/pub/fhs-2.3.html), as it is safe to assume that
those directories exist.
Ok

      - MUST: A package must not contain any duplicate files in the %files listing.
Ok

      - MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line.
Ok

      - MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
Ok

      - MUST: Each package must consistently use macros, as described in the
macros section of Packaging Guidelines.
Ok

      - MUST: The package must contain code, or permissable content. This is
described in detail in the code vs. content section of Packaging Guidelines.
Ok

      - MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)
Ok(no large docs)

      - MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.
Ok

      - MUST: Header files must be in a -devel package.
Ok(No libraries)

      - MUST: Static libraries must be in a -static package.
Ok (No static libraries)

      - MUST: Packages containing pkgconfig(.pc) files must 'Requires:
pkgconfig' (for directory ownership and usability).
Ok (No pkgconfig)

      - MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in a
-devel package.
Ok (no libraries)

      - MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 
Ok(No devel)

      - MUST: Packages must NOT contain any .la libtool archives, these should
be removed in the spec.
Ok (No Libraries)

      - MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. This is described in detail in the
desktop files section of Packaging Guidelines. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation.
Ok (no .desktop file)

      - MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another package
owns, then please present that at package review time.
Ok

      - MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT). See Prepping BuildRoot For %install for details.
Ok

      - MUST: All filenames in rpm packages must be valid UTF-8.
Ok

SHOULD Items:
      - SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
Ok
     
      - SHOULD: The reviewer should test that the package builds in mock.
Ok
Comment 3 John (J5) Palmieri 2007-09-14 12:29:21 EDT
issues in review:

The download page only provides a .zip. Please note that we need to convert to a
tar.bz2 in the comment above the URL line.  Fix that and I will approve.
Comment 4 Bernie Innocenti 2007-09-16 00:28:56 EDT
Done.
Comment 5 Warren Togami 2007-09-19 18:50:47 EDT
Don't forget to set fedora-review to ? to indicate that the review is underway.
Comment 6 John (J5) Palmieri 2007-09-20 17:14:30 EDT
approved, request for CVS
Comment 7 Kevin Fenzi 2007-09-20 22:22:33 EDT
Can you please use a CVS template to request what you want here?

http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure

The reason rpmlint complains about the License is that it should be: "OFL" 
for the License tag. 

Please reset the fedora-cvs flag when you are ready again. 
Comment 8 Bernie Innocenti 2007-09-21 04:40:18 EDT
New Package CVS Request
=======================
Package Name: abyssinica-fonts
Short Description: SIL Abyssinica fonts
Owners: bernie,johnp
Branches: FC-7 OLPC-2
InitialCC: bernie
Cvsextras Commits: yes
Comment 9 Bernie Innocenti 2007-09-21 04:42:28 EDT
(In reply to comment #7)

> The reason rpmlint complains about the License is that it should be: "OFL" 
> for the License tag. 

Fixed.

> Please reset the fedora-cvs flag when you are ready again. 

Done (see previous comment).  John, I can't switch the flag with my privileges.
 Could you do it for me, please?
Comment 10 Kevin Fenzi 2007-09-21 12:19:41 EDT
I don't see a 'bernie' user in the cvsextras group. 
Have you been sponsored? Is this your first package?

See:
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
and
http://fedoraproject.org/wiki/PackageMaintainers/Join#head-0dbf12f9c493a3f20fae545bb9c1396cb0a88053

John: Are you going to sponsor Bernardo?
Comment 11 John (J5) Palmieri 2007-09-21 13:16:27 EDT
I just sponsored him
Comment 12 Kevin Fenzi 2007-09-21 17:20:15 EDT
cvs done. 
Sorry for the hassles here... 
Comment 13 Bernie Innocenti 2007-09-27 19:08:59 EDT
Import and build done.

Thanks to all you for guiding me through my first Fedora package!

Note You need to log in before you can comment on or make changes to this bug.